net.i2p.router.peermanager

## Class CapacityCalculator

- java.lang.Object
- - net.i2p.router.peermanager.CapacityCalculator

     class CapacityCalculator
    extends Object

Estimate how many of our tunnels the peer can join per hour.

### Field Summary

Fields
`(package private) static long` `GROWTH_FACTOR` used to adjust each period so that we keep trying to expand the peer's capacity

### Constructor Summary

Constructors
Constructor and Description
`CapacityCalculator()`

### Method Summary

Methods
`static double` `calc(PeerProfile profile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GROWTH_FACTOR

    static final long GROWTH_FACTOR

used to adjust each period so that we keep trying to expand the peer's capacity

See Also:
  Constant Field Values

### Constructor Detail

#### CapacityCalculator

    CapacityCalculator()

### Method Detail

#### calc

    public static double calc(PeerProfile profile)